package it.sw.pa.comune.artegna.domain;

import static it.sw.pa.comune.artegna.domain.ConfermaTestSamples.*;
import static it.sw.pa.comune.artegna.domain.PrenotazioneTestSamples.*;
import static it.sw.pa.comune.artegna.domain.StrutturaTestSamples.*;
import static it.sw.pa.comune.artegna.domain.UtenteAppTestSamples.*;
import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class PrenotazioneTest {

    @Test
    void equalsVerifier() throws Exception {
        TestUtil.equalsVerifier(Prenotazione.class);
        Prenotazione prenotazione1 = getPrenotazioneSample1();
        Prenotazione prenotazione2 = new Prenotazione();
        assertThat(prenotazione1).isNotEqualTo(prenotazione2);

        prenotazione2.setId(prenotazione1.getId());
        assertThat(prenotazione1).isEqualTo(prenotazione2);

        prenotazione2 = getPrenotazioneSample2();
        assertThat(prenotazione1).isNotEqualTo(prenotazione2);
    }

    @Test
    void confermaTest() {
        Prenotazione prenotazione = getPrenotazioneRandomSampleGenerator();
        Conferma confermaBack = getConfermaRandomSampleGenerator();

        prenotazione.setConferma(confermaBack);
        assertThat(prenotazione.getConferma()).isEqualTo(confermaBack);

        prenotazione.conferma(null);
        assertThat(prenotazione.getConferma()).isNull();
    }

    @Test
    void utenteTest() {
        Prenotazione prenotazione = getPrenotazioneRandomSampleGenerator();
        UtenteApp utenteAppBack = getUtenteAppRandomSampleGenerator();

        prenotazione.setUtente(utenteAppBack);
        assertThat(prenotazione.getUtente()).isEqualTo(utenteAppBack);

        prenotazione.utente(null);
        assertThat(prenotazione.getUtente()).isNull();
    }

    @Test
    void strutturaTest() {
        Prenotazione prenotazione = getPrenotazioneRandomSampleGenerator();
        Struttura strutturaBack = getStrutturaRandomSampleGenerator();

        prenotazione.setStruttura(strutturaBack);
        assertThat(prenotazione.getStruttura()).isEqualTo(strutturaBack);

        prenotazione.struttura(null);
        assertThat(prenotazione.getStruttura()).isNull();
    }
}
